<?php
$args = array(
    'post_type' => 'post',
    'post_status' => 'publish'
);
$latest_posts = new WP_Query ( $args);
if($latest_posts->have_posts()) :
?>
<section class="allNews pt-3">
    <div class="container">
        <h2 class="title">الأخبار</h2>
        <div class="row px-2">
            <?php while ($latest_posts->have_posts()) : $latest_posts->the_post(); ?>
            <div class="new col-sm-6 col-md-4 col-lg-3">
                <div class="card news">
                    <a href="<?php echo get_the_permalink();?>">
                        <div class="card-header position-relative p-0">
                            <img src="<?php echo thePostThubmailLink('large');?>" alt="<?php echo get_the_title();?>" class="card-img-top">
                        </div>
                        <div class="card-body p-0">
                            <h3 class="card-title">
                                <?php echo get_the_title();?>
                            </h3>
                        </div>
                    </a>
                    <a href="<?php echo get_category_link( get_the_category( get_the_id() )[0]->cat_ID );?>" class="categoryTag">
                        <?php echo get_the_category( get_the_id() )[0]->name; ?>
                    </a>
                </div>
            </div>
            <?php endwhile;  wp_reset_query(); ?>
            <div class="text-start px-0 mt-2 mb-3">
                <a href="<?php echo getPagesLinks()['news']; ?>" class="btn btn-primary">
                    المزيد من الاخبار
                    <i class="fa-solid fa-angle-left"></i>
                </a>
            </div>
        </div>
    </div>
</section>
<?php endif; ?>