<?php
$args = array(
    'posts_per_page' => '9',
    'post_type' => 'video',
    'post_status' => 'publish'
);
$latest_posts = new WP_Query ( $args);
if($latest_posts->have_posts()) :
?>
    <section class="videos bg-white py-3">
        <div class="container">
            <h2 class="title">لقطات حصرية</h2>
            <div class="row px-2">
                <?php
                    while ($latest_posts->have_posts()) : $latest_posts->the_post();
                ?>
                <div class="col-sm-6 col-md-4">
                    <div class="card video">
                        <a href="<?php echo get_the_permalink();?>">
                            <div class="card-header position-relative p-0">
                                <img src="<?php echo thePostThubmailLink();?>" alt="" class="card-img-top">
                            </div>
                            <div class="card-body p-0">
                                <h3 class="card-title">
                                    <?php echo get_the_title();?>
                                </h3>
                            </div>
                            <span class="icon">
                                <img class="img-fluid" src="<?php bloginfo('template_directory');?>/style/assets/images/play-arrow.png"
                                    alt=" <?php echo get_the_title();?>">
                            </span>
                        </a>
                        <a href="<?php echo get_category_link( get_the_category( get_the_id() )[0]->cat_ID );?>" class="categoryTag">
                            <?php echo get_the_category( get_the_id() )[0]->name; ?>
                        </a>
                    </div>
                </div>
                <?php endwhile;  wp_reset_query(); ?>
                <div class="text-start mt-2 mb-3">
                    <a href="<?php echo getPagesLinks()['videos']; ?>" class="btn btn-primary">
                        المزيد من الفيديوهات <i class="fa-solid fa-angle-left"></i>
                    </a>
                </div>
            </div>
        </div>
    </section>
<?php endif; ?>