<div class="col-xl-3 mt-3 mt-xl-0 matchCenter p-0 overflow-hidden">
    <div class="box">
        <div class="matchCenterBox light">
            <div class="title bg1">
                اهم المباريات
            </div>
            <ul class="nav nav-tabs justify-content-between mb-1 p-0" id="ex1" role="tablist">
                <li class="nav-item flex-grow-1" role="presentation">
                    <a class="nav-link" id="yesterday" data-mdb-toggle="tab" href="#yesterday-tob"
                        role="tab" aria-controls="yesterday-tob" aria-selected="false">أمس</a>
                </li>
                <li class="nav-item flex-grow-1" role="presentation">
                    <a class="nav-link  active" id="today" data-mdb-toggle="tab" href="#today-tab"
                        role="tab" aria-controls="today-tab" aria-selected="true">اليوم</a>
                </li>
                <li class="nav-item flex-grow-1" role="presentation">
                    <a class="nav-link" id="tomorrow" data-mdb-toggle="tab" href="#tomorrow-top"
                        role="tab" aria-controls="tomorrow-top" aria-selected="false">غدا</a>
                </li>
            </ul>
            <!-- Tabs navs -->
            <!-- Tabs contet -->
            <div class="tab-content" id="ex1-content">
                <div class="tab-pane fade" id="yesterday-tob" role="tabpanel"
                    aria-labelledby="yesterday-tob">
                    <?php
                        $args = array(
                            'posts_per_page' => '3',
                            'post_type' => 'Match',
                            'meta_query' => array(
                                array(
                                    'key' => 'date',
                                    'value' => date('Y-m-d',strtotime("-1day")),
                                    'compare' => '='
                                )
                            ),
                            'post_status' => 'publish'
                        );
                        $today_matches = new WP_Query ( $args);
                        if($today_matches->have_posts()) : 
                    ?>
                    <ul class="list-unstyled p-0">
                        <?php
                            while ($today_matches->have_posts()) : $today_matches->the_post();
                                $time = get_post_meta( $post->ID, 'time' );
                                $categories = get_the_category( $post->ID );
    
                        ?>
                            <li>
                                <a href="<?php the_permalink();?>" class="matchBox">

                                    <div class="lTitle">
                                        <span class="type">
                                            <?php
                                                if (count($categories) > 0) {
                                                    echo $categories[0]->name;
                                                }
                                            ?>
                                        </span>
                                        <span class="time">
                                            تفاصيل
                                        </span>
                                    </div>
                                    <div class="teams row">
                                        <div class="team1 col">
                                            <span>
                                                <img src="<?php echo getMatchTeams()['team_1']['image']; ?>"
                                                    class="img-fluid" alt="<?php echo getMatchTeams()['team_1']['data']->post_title; ?>"
                                                    title="<?php echo getMatchTeams()['team_1']['data']->post_title; ?>">
                                            </span>
                                            <span class="teamName "><?php echo getMatchTeams()['team_1']['data']->post_title; ?></span>
                                        </div>

                                        <div class="stat col text-center">
                                            <div class="live">
                                                <span class="notYet"><?php echo getMatchStatus()['text']; ?></span>
                                            </div>
                                            <span class="matchDate">
                                                <?php echo getMatchStates()['team_1']; ?>
                                                -
                                                <?php echo getMatchStates()['team_2']; ?>
                                            </span>
                                        </div>
                                        
                                        <div class="team2 col">
                                            <span>
                                                <img src="<?php echo getMatchTeams()['team_2']['image']; ?>"
                                                    class="img-fluid" alt="<?php echo getMatchTeams()['team_2']['data']->post_title; ?>"
                                                    title="<?php echo getMatchTeams()['team_2']['data']->post_title; ?>">
                                            </span>
                                            <span class="teamName "><?php echo getMatchTeams()['team_2']['data']->post_title; ?></span>
                                        </div>
                                    </div>
                                </a>

                            </li>
                        <?php endwhile; ?>
                    </ul>
                    <?php else : ?>
                        <h5>لا يوجد مباريات اليوم</h5>
                    <?php endif; ?>
                </div>
                <div class="tab-pane fade  show active" id="today-tab" role="tabpanel" aria-labelledby="today-tab">
                    <?php
                        $args = array(
                            'posts_per_page' => '3',
                            'post_type' => 'Match',
                            'meta_query' => array(
                                array(
                                    'key' => 'date',
                                    'value' => date('Y-m-d'),
                                    'compare' => '='
                                )
                            ),
                            'post_status' => 'publish'
                        );
                        $today_matches = new WP_Query ( $args);
                        if($today_matches->have_posts()) : 
                    ?>
                    <ul class="list-unstyled p-0">
                        <?php
                            while ($today_matches->have_posts()) : $today_matches->the_post();
                                $time = get_post_meta( $post->ID, 'time' );
                                $categories = get_the_category( $post->ID );
    
                        ?>
                            <li>
                                <a href="<?php the_permalink();?>" class="matchBox">

                                    <div class="lTitle">
                                        <span class="type">
                                            <?php
                                                if (count($categories) > 0) {
                                                    echo $categories[0]->name;
                                                }
                                            ?>
                                        </span>
                                        <span class="time">
                                            تفاصيل
                                        </span>
                                    </div>
                                    <div class="teams row">
                                        <div class="team1 col">
                                            <span>
                                                <img src="<?php echo getMatchTeams()['team_1']['image']; ?>"
                                                    class="img-fluid" alt="<?php echo getMatchTeams()['team_1']['data']->post_title; ?>"
                                                    title="<?php echo getMatchTeams()['team_1']['data']->post_title; ?>">
                                            </span>
                                            <span class="teamName "><?php echo getMatchTeams()['team_1']['data']->post_title; ?></span>
                                        </div>

                                        <div class="stat col text-center">
                                            <div class="live">
                                                <span class="notYet"><?php echo getMatchStatus()['text']; ?></span>
                                            </div>
                                            <span class="matchDate">
                                                <?php echo getMatchStates()['team_1']; ?>
                                                -
                                                <?php echo getMatchStates()['team_2']; ?>
                                            </span>
                                        </div>
                                        
                                        <div class="team2 col">
                                            <span>
                                                <img src="<?php echo getMatchTeams()['team_2']['image']; ?>"
                                                    class="img-fluid" alt="<?php echo getMatchTeams()['team_2']['data']->post_title; ?>"
                                                    title="<?php echo getMatchTeams()['team_2']['data']->post_title; ?>">
                                            </span>
                                            <span class="teamName "><?php echo getMatchTeams()['team_2']['data']->post_title; ?></span>
                                        </div>
                                    </div>
                                </a>

                            </li>
                        <?php endwhile; ?>
                    </ul>
                    <?php else : ?>
                        <h5>لا يوجد مباريات اليوم</h5>
                    <?php endif; ?>
                </div>
                <div class="tab-pane fade" id="tomorrow-top" role="tabpanel"
                    aria-labelledby="tomorrow-top">
                    <?php
                        $args = array(
                            'posts_per_page' => '3',
                            'post_type' => 'Match',
                            'meta_query' => array(
                                array(
                                    'key' => 'date',
                                    'value' => date('Y-m-d',strtotime("+1day")),
                                    'compare' => '='
                                )
                            ),
                            'post_status' => 'publish'
                        );
                        $today_matches = new WP_Query ( $args);
                        if($today_matches->have_posts()) : 
                    ?>
                    <ul class="list-unstyled p-0">
                        <?php
                            while ($today_matches->have_posts()) : $today_matches->the_post();
                                $time = get_post_meta( $post->ID, 'time' );
                                $categories = get_the_category( $post->ID );
    
                        ?>
                            <li>
                                <a href="<?php the_permalink();?>" class="matchBox">

                                    <div class="lTitle">
                                        <span class="type">
                                            <?php
                                                if (count($categories) > 0) {
                                                    echo $categories[0]->name;
                                                }
                                            ?>
                                        </span>
                                        <span class="time">
                                            تفاصيل
                                        </span>
                                    </div>
                                    <div class="teams row">
                                        <div class="team1 col">
                                            <span>
                                                <img src="<?php echo getMatchTeams()['team_1']['image']; ?>"
                                                    class="img-fluid" alt="<?php echo getMatchTeams()['team_1']['data']->post_title; ?>"
                                                    title="<?php echo getMatchTeams()['team_1']['data']->post_title; ?>">
                                            </span>
                                            <span class="teamName "><?php echo getMatchTeams()['team_1']['data']->post_title; ?></span>
                                        </div>

                                        <div class="stat col text-center">
                                            <div class="live">
                                                <span class="notYet"><?php echo getMatchStatus()['text']; ?></span>
                                            </div>
                                            <span class="matchDate">
                                                <?php echo getMatchStates()['team_1']; ?>
                                                -
                                                <?php echo getMatchStates()['team_2']; ?>
                                            </span>
                                        </div>
                                        
                                        <div class="team2 col">
                                            <span>
                                                <img src="<?php echo getMatchTeams()['team_2']['image']; ?>"
                                                    class="img-fluid" alt="<?php echo getMatchTeams()['team_2']['data']->post_title; ?>"
                                                    title="<?php echo getMatchTeams()['team_2']['data']->post_title; ?>">
                                            </span>
                                            <span class="teamName "><?php echo getMatchTeams()['team_2']['data']->post_title; ?></span>
                                        </div>
                                    </div>
                                </a>

                            </li>
                        <?php endwhile; ?>
                    </ul>
                    <?php else : ?>
                        <h5>لا يوجد مباريات اليوم</h5>
                    <?php endif; ?>
                </div>
            </div>
            <a class="moreMatchesLink" href="<?php echo getPagesLinks()['matches']; ?>">
                كل المباريات
                <i class="fa-solid fa-angle-left"></i>
            </a>
        </div>
    </div>
</div>