<div class="col-xl-9 p-0 overflow-hidden">
    <div class="latest-news row overflow-hidden">
        <?php
            //WordPress loop for custom post type
            $first_article_query = new WP_Query ( array('post_type' => 'post', 'posts_per_page' => '1'));
            while ($first_article_query->have_posts()) : $first_article_query->the_post();
                $post_id = get_the_ID();
        ?>
            <div class="col-lg-7 p-0 intro">
                <div class="news">
                    <a href="<?php the_permalink();?>">
                        <img class="img-fluid" src="<?php echo thePostThubmailLink('large');?>"
                            alt="<?php the_title();?>"
                            style="">
                        <div class="newsTitle">
                            <h3>
                                <?php
                                    $spyr_demo_text = get_post_meta( $post_id, 'post_flag', true );
                                    if($spyr_demo_text != '')
                                        echo '<span class="sp3">'.$spyr_demo_text.'</span>';
                                ?>
                                <?php the_title();?>
                            </h3>
                        </div>
                    </a>
                </div>
            </div>
        <?php endwhile;  wp_reset_query(); ?>

        <div class="col-lg-5 d-flex flex-gap d-lg-block p-0 mt-2 mt-lg-0 left-side">
            <?php
                //WordPress loop for custom post type
                $scond_article_query = new WP_Query ( array('post_type' => 'post', 'posts_per_page' => '2','offset'=>'1'));
                while ($scond_article_query->have_posts()) : $scond_article_query->the_post();
                    $post_id = get_the_ID();
            ?>
                <div class="news ">
                    <a href="<?php the_permalink();?>">
                        <img class="img-fluid"
                            src="<?php echo thePostThubmailLink('large');?>"
                            alt="<?php the_title();?>"
                            style="">
                        <div class="newsTitle">
                            <h3>
                                <?php
                                    $spyr_demo_text = get_post_meta( $post_id, 'post_flag', true );
                                    if($spyr_demo_text != '')
                                        echo '<span class="sp3">'.$spyr_demo_text.'</span>';
                                ?>
                                <?php the_title();?>
                            </h3>
                        </div>
                    </a>
                </div>
            <?php endwhile;  wp_reset_query(); ?>
        </div>
    </div>
    <div class="topNews d-none d-lg-flex row overflow-hidden">
        <?php
            //WordPress loop for custom post type
            $scond_article_query = new WP_Query ( array('post_type' => 'post', 'posts_per_page' => '3','offset'=>'3'));
            while ($scond_article_query->have_posts()) : $scond_article_query->the_post();
                $post_id = get_the_ID();
        ?>
            <div class="col-4 p-0 news">
                <a href="<?php the_permalink();?>">
                    <img class="img-fluid" src="<?php echo thePostThubmailLink();?>"
                        alt="<?php the_title();?>">
                    <div class="newsTitle">
                        <h3>
                            <?php
                                $spyr_demo_text = get_post_meta( $post_id, 'post_flag', true );
                                if($spyr_demo_text != '')
                                    echo '<span class="sp3">'.$spyr_demo_text.'</span>';
                            ?>
                            <?php the_title();?>
                        </h3>
                    </div>
                </a>
            </div>
        <?php endwhile;  wp_reset_query(); ?>
    </div>
</div>
