<?php
add_action( 'admin_menu', 'my_admin_menu' );

function my_admin_menu() {
    add_dashboard_page('إعدادات مشاركة أرباح أدسنس', 'مشاركة أرباح AdSense', 'read', 'AdsenseShareBlugin', 'AdsenseShareBlugin');
}

function AdsenseShareBlugin() {

    if (isset($_POST['info_update'])) {
        $CheckPubLength = strlen($_POST['user_Pub']);
        $UserID = get_current_user_id();
        if ($CheckPubLength == '20') {
            $CheckPubString = substr($_POST['user_Pub'], 0, 4);
            if ($CheckPubString != 'pub-') {
                echo "<div class='ErrorMsg'>برجاء كتابة كود الناشر بشكل كامل وصحيح</div>";
            }else{
                $UserID = get_current_user_id();
                $keyPub = 'user_Pub';
                $keyCh = 'user_Ch';
                $user_Pub = get_user_meta( $UserID, 'user_Pub', false );
                $user_Ch = get_user_meta( $UserID, 'user_Ch', false );
                if (!$user_Pub) {
                    add_user_meta( $UserID, 'user_Pub', $_POST['user_Pub']);
                }else{
                    update_user_meta($UserID, 'user_Pub', $_POST['user_Pub']);
                }
                if (!$user_Ch) {
                    add_user_meta( $UserID, 'user_Ch', $_POST['user_Ch']);
                }else{
                    update_user_meta($UserID, 'user_Ch', $_POST['user_Ch']);
                }

                echo "<div class='SuccessMsg'>تم تحديث البيانات بنجاح</div>";
            }
        } elseif ($CheckPubLength == '0') {
            $UserID = get_current_user_id();
            $keyPub = 'user_Pub';
            $keyCh = 'user_Ch';
            $user_Pub = get_user_meta( $UserID, 'user_Pub', false );
            $user_Ch = get_user_meta( $UserID, 'user_Ch', false );
            if (!$user_Pub) {
                add_user_meta( $UserID, 'user_Pub', $_POST['user_Pub']);
            }else{
                update_user_meta($UserID, 'user_Pub', $_POST['user_Pub']);
            }
            if (!$user_Ch) {
                add_user_meta( $UserID, 'user_Ch', $_POST['user_Ch']);
            }else{
                update_user_meta($UserID, 'user_Ch', $_POST['user_Ch']);
            }

            echo "<div class='SuccessMsg'>تم تحديث البيانات بنجاح</div>";
        } elseif ($CheckPubLength != '20') {
            echo "<div class='ErrorMsg'>كود الناشر الخاص بك غير كامل برجاء التأكد من أنه يتكون من 16 حرف بالإضافة إلى المقطع 'pub-'</div>";
        }
        
    }


    $UserID = get_current_user_id();
    $keyPub = 'user_Pub';
    $keyCh = 'user_Ch';
    $user_Pub = get_user_meta( $UserID, $keyPub, false );
    $user_Ch = get_user_meta( $UserID, $keyCh, false );
    echo '<div class="wrap">
            <div id="adsshrcntr">
                <form method="post">
                    <h2>
                        <div class="ttlfxlnhgt">إعدادات مشاركة أرباح أدسنس</div>
                    </h2>
                    <h3>الاشتراك في خدمة مشاركة الأرباح (فقط لمن يملك حساب جوجل أدسنس)</h3>
   
                    <p>قم بإدخال الرقم التعريفي للناشر الخاص بك (Publisher ID) وأيضا رقم القناة المخصصة (Custom channel ID) (اختياري).</p>
                    <p>ثم قم بالحفظ وستبدأ في الاستفادة من مشاركة الأرباح مباشرة.</p><br><br>
                    <table class="form-table">
                        <tbody>
                            <tr valign="top">
                                <th scope="row">معرف حساب أدسنس</th>
                                <td>
                                    <input size="25" name="user_Pub" value="'.end(get_user_meta( $UserID, $keyPub, false )).'" type="text">
                                    <br>قم بإدخال الرقم التعريفي للناشر (Publisher ID) الخاص بحسابك. مثال: <mark>pub-1234567891234567</mark> أو <mark>ca-pub-1234567891234567</mark>
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row">رقم القناة المخصصة</th>
                                <td>
                                    <input name="user_Ch" value="'.end(get_user_meta( $UserID, $keyCh, false )).'" type="text"><br>قم بإدخال رقم القناة المخصصة Custom channel ID) الخاصة بحسابك. مثال: <mark>1234567890</mark>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <p class="submit">
                        <input class="button button-primary" name="info_update" value="حفظ التغييرات" type="submit">
                    </p>
                </form>
            </div>
        </div>';
}

function registerCustomAdminCss(){
    $src = get_template_directory_uri() . "/style/custom-admin-css.css";
    $handle = "customAdminCss";
    wp_register_script($handle, $src);
    wp_enqueue_style($handle, $src, array(), false, false);
}
add_action('admin_head', 'registerCustomAdminCss');
