<?php
	/* template name: الأخبار */
	get_header();
?>

<section>
    <div class="allNews pages">
        <div class="container  pt-3">
            <div class="row">
                <div class="col-xl-8 right-side overflow-auto">
                    <div class="container">
                        <h2 class="title">أحدث الأخبار</h2>

                        <div class="row news px-2">
                            <?php
                                global $paged;
                                $curpage = $paged ? $paged : 1;
                                $args = array(
                                    'post_type' => 'post',
                                    'post_status' => 'publish',
                                    'paged' => $paged
                                );
                                $posts = new WP_Query ( $args);
                                if($posts->have_posts()) :
                                    while ($posts->have_posts()) : $posts->the_post();
                            ?>
                            <div class="new col-sm-6 col-lg-4">
                                <div class="card news">
                                    <a href="<?php echo get_the_permalink(); ?>">
                                        <div class="card-header position-relative p-0">
                                            <img src="<?php echo thePostThubmailLink(); ?>" alt="yallagoal" class="card-img-top">
                                        </div>
                                        <div class="card-body p-0">
                                            <h3 class="card-title">
                                                <?php the_title(); ?>
                                            </h3>
                                        </div>
                                    </a>
                                    <a href="<?php echo get_category_link( get_the_category( get_the_id() )[0]->cat_ID );?>" class="categoryTag">
                                        <?php echo get_the_category( get_the_id() )[0]->name; ?>
                                    </a>
                                    <div class="newsFooter">
                                        <span class="time"><?php echo get_the_date(); ?></span>
                                    </div>
                                </div>
                            </div>
                            <?php
                                endwhile; 
                                echo '
                                <nav aria-label="Page navigation example">
                                    <ul class="pagination">
                                        <li class="page-item"><a class="page-link first page button" href="'.get_pagenum_link(1).'">&laquo;</a></li>
                                        <li class="page-item"><a class="page-link previous page button" href="'.get_pagenum_link(($curpage-1 > 0 ? $curpage-1 : 1)).'">&lsaquo;</a></li>';
                                        for($i=1;$i<=$posts->max_num_pages;$i++)
                                            echo '<li class="page-item"><a class="page-link '.($i == $curpage ? 'active ' : '').'page button" href="'.get_pagenum_link($i).'">'.$i.'</a></li>';
                                        echo '<li class="page-item"><a class="page-link next page button" href="'.get_pagenum_link(($curpage+1 <= $posts->max_num_pages ? $curpage+1 : $posts->max_num_pages)).'">&rsaquo;</a></li>
                                        <li class="page-item"><a class="page-link last page button" href="'.get_pagenum_link($posts->max_num_pages).'">&raquo;</a></li>
                                    </ul>
                                </nav>';
                                wp_reset_query();
                                endif;
                            ?>
                        </div>
                    </div>
                </div>
                <?php get_sidebar(); ?>
            </div>
        </div>
    </div>
</section>

<?php  get_footer();?>