<?php 
    //add metaboxs for page template page-ar.php
    function subcategories_add_meta_boxes_page() {
    global $post;
    if ( 'custom-page.php' == get_post_meta( $post->ID, '_wp_page_template', true ) ) {
        add_meta_box( 'test_page_review_meta_box',
            'اختر القسم',
            'subcategories_page_meta_box',
            'page', 'normal', 'high'
        );
      }
    }
  add_action( 'add_meta_boxes_page', 'subcategories_add_meta_boxes_page' );

  function subcategories_page_meta_box( $page_test_review ) {
    // Retrieve current name of the Director and Movie Rating based on review ID
    $sitecat = esc_html( get_post_meta( $page_test_review->ID, 'sitecat', true ) );
    $entitlepage = esc_html( get_post_meta( $page_test_review->ID, 'entitlepage', true ) );
    ?>

    <table>
        <td style="width: 30%">القسم</td>
            <td>
                <select name="sitecat" style="width:250px;">
                   <option value=""><?php echo esc_attr(__('اختر القسم')); ?></option> 
                            <?php 
                            //get saved data
                            $categories=  get_categories(); 
                            $select_options = '';
                            foreach ($categories as $category) {
                                $option = '<option value="'.$category->cat_ID.'">';
                                $option .= $category->cat_name;
                                $option .= '</option>';
                                $select_options .= $option;
                            }
                            //set saved data as selected
                            $select_options = str_replace('value="'.$sitecat.'"','value="'.$sitecat.'" selected="selected"',$select_options);
                            echo $select_options;
                            ?>
                </select>
            </td>
        </tr>
       
    </table>
    <?php
    }
    add_action( 'save_post', 'subcategories_add_page', 10, 2 );
    function subcategories_add_page( $page_test_review_id, $page_test_review ) {
        // Check post type for movie reviews
        if ( $page_test_review->post_type == 'page' ) {
            // Store data in post meta table if present in post data
            
            if ( isset( $_POST['sitecat'] ) && $_POST['sitecat'] != '' || $_POST['sitecat'] == '' ) {
                update_post_meta( $page_test_review_id, 'sitecat', $_POST['sitecat'] );
            }
           
        }

    }
