<?php 
// Creating the widget 
class wpb4_widget extends WP_Widget {

function __construct() {
parent::__construct(
// Base ID of your widget
'wpb4_widget', 

// Widget name will appear in UI
__('صفحة الفيس بوك', 'wpb4_widget_domain'), 

// Widget description
array( 'description' => __( 'إضافة المتابعين على  فيس  بوك  وصندوق الإعجاب', 'wpb4_widget_domain' ), ) 
);
}

// Creating widget front-end
// This is where the action happens
public function widget( $args, $instance ) {
$name = apply_filters( 'widget_title', $instance['name'] );
// before and after widget arguments are defined by themes
echo '<div class="widget" style="background-image:none;"><div class="wedgit-head"><h2>' . $name . '</h2></div>';
$page_url = $instance[ 'page_url' ];

?>

<div class="wedgit-content">
<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.0";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>


<!--<div class="fb-like-box" data-href="<?php echo $page_url ?>" data-colorscheme="light" data-show-faces="false" data-header="true" data-stream="true" data-show-border="true"></div>-->

<div class="fb-like-box" data-href="<?php echo $page_url ?>" data-width="300" data-colorscheme="light" data-show-faces="true" data-header="true" data-stream="false" data-show-border="true"></div>
<?php
echo '</div></div>'; 
}
		
// Widget Backend 
public function form( $instance ) {

if ( isset( $instance[ 'page_url' ] ) ) {
$page_url = $instance[ 'page_url' ];
}
else {
$page_url = __( 'https://www.facebook.com/yourusername', 'wpb4_widget_domain' );
}
// Widget admin form
?>

<p>
<label for="<?php echo $this->get_field_id( 'page_url' ); ?>"><?php _e( 'رابط الصفحة:' ); ?></label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'page_url' ); ?>" name="<?php echo $this->get_field_name( 'page_url' ); ?>" type="text" value="<?php echo esc_attr( $page_url ); ?>" />
</p>
<?php 
}
	
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
$instance = array();
$instance['name'] = ( ! empty( $new_instance['name'] ) ) ? strip_tags( $new_instance['name'] ) : '';
$instance['page_url'] = ( ! empty( $new_instance['page_url'] ) ) ? strip_tags( $new_instance['page_url'] ) : '';
return $instance;
}
} // Class wpb4_widget ends here

// Register and load the widget
function wpb4_load_widget() {
	register_widget( 'wpb4_widget' );
}
add_action( 'widgets_init', 'wpb4_load_widget' );

 ?>