<?php
	get_header();

    $page_type = 'info';
    if (isset($_GET['page_type'])) {
        if ($_GET['page_type'] !='') {
            $page_type = $_GET['page_type'];
        }
    }
?>
<section>
    <div class="container-fluid match-details">
        <div class="container">
            <?php
                while ( have_posts() ) : the_post();
                    $match_events_array = get_post_meta(get_the_id(), 'match_events_array', true);
            ?>
            <div class="row mt-3 matchCenterTable" data-id="3017089">
                <div class="col">
                    <div class="row quickView">
                        <div class="col teamA text-start">
                            <div class="mb-2">
                                <a href="<?php echo get_permalink(getMatchTeams()['team_1']['data']->ID); ?>" title="<?php echo getMatchTeams()['team_1']['data']->post_title; ?>">
                                    <img src="<?php echo getMatchTeams()['team_1']['image']; ?>" class="teamImage"
                                        alt="<?php echo getMatchTeams()['team_1']['data']->post_title; ?>">
                                    <span class="teamNameX text-white"> <?php echo getMatchTeams()['team_1']['data']->post_title; ?> </span>
                                </a>
                            </div>
                            <?php if (count(getMatchStates()['team1events']) > 0) { ?>
                                <div class=" getGoalsTeamA">
                                    <?php foreach (getMatchStates()['team1events'] as $team1goal) { ?>
                                        <div class="goals">
                                            <div class="getGoal">
                                                <span><img src="<?php bloginfo('template_directory');?>/style/assets/images/goalBall.png" alt="هدف"></span>
                                                <span class="goalTime clr2"><?php echo $team1goal['EventMinute']; ?>'</span>
                                                <span class="goalPlayer"><?php echo $team1goal['EventDescription']; ?></span>
                                            </div>
                                        </div>
                                    <?php } ?>
                                </div>
                            <?php } ?>
                        </div>
                        <div class="col text-center">
                            <div class="row">
                                <div class="col-3">
                                    <h2 class="font-weight-bold teamAScore">
                                        <?php echo getMatchStates()['team_1']; ?>
                                    </h2>
                                </div>
                                <div class="col-6">
                                    <h3 class="clr2 font-weight-bold matchStatusAr">
                                        <?php echo getMatchStatus()['text']; ?>
                                    </h3>
                                </div>
                                <div class="col-3">
                                    <h2 class="font-weight-bold teamBScore">
                                        <?php echo getMatchStates()['team_2']; ?>
                                    </h2>
                                </div>
                            </div>
                        </div>
                        <div class="col teamB text-end">
                            <div class="mb-2">
                                <a href="<?php echo get_permalink(getMatchTeams()['team_2']['data']->ID); ?>" title="<?php echo getMatchTeams()['team_2']['data']->post_title; ?>">
                                    <img src="<?php echo getMatchTeams()['team_2']['image']; ?>" class="teamImage"
                                        alt="<?php echo getMatchTeams()['team_2']['data']->post_title; ?>">
                                    <span class="teamNameX text-white"> <?php echo getMatchTeams()['team_2']['data']->post_title; ?> </span>
                                </a>
                            </div>
                            <?php if (count(getMatchStates()['team2events']) > 0) { ?>
                                <div class="getGoalsTeamB">
                                    <div class="goals">
                                        <?php foreach (getMatchStates()['team2events'] as $team2goal) { ?>
                                            <div class="getGoal">
                                                <span><img src="<?php bloginfo('template_directory');?>/style/assets/images/goalBall.png" alt="هدف"></span>
                                                <span class="goalTime clr2"><?php echo $team2goal['EventMinute']; ?>'</span>
                                                <span class="goalPlayer"><?php echo $team2goal['EventDescription']; ?></span>
                                            </div>
                                        <?php } ?>
                                    </div>
                                </div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row bg1 lastNewsMatchCenter">
                <div class="bobo">
                    <div class="lam">
                        <img src="<?php bloginfo('template_directory');?>/style/assets/images/event.png" alt="">
                        <span><?php echo getArabicDate(get_the_date())['day']; ?> , <?php echo get_the_date(); ?></span>
                    </div>
                    <div class="lam">
                        <img src="<?php bloginfo('template_directory');?>/style/assets/images/stopwatch.png" alt="">
                        <span><?php echo getMatchStatus()['minute']; ?></span>
                    </div>
                </div>
            </div>
            <?php
                endwhile;
                wp_reset_query();
            ?>
            <div class="container-fluid">
                <div class="row page-content mt-3 pages position-relative">
                    <?php
                        while ( have_posts() ) : the_post();
                    ?>
                        <div class="col-xl-8 right-side allNews overflow-auto">
                            <div class="container">

                                <div class="rightBoxes" style="position: inherit; top: inherit;">
                                    <div class="row">
                                        <div class="col rshandler">
                                            <div class="row tabsLinks shadow-sm bg-white">
                                                <div class="col">
                                                    <a <?php if($page_type == 'info') echo 'class="active"'; ?> href="<?php echo get_the_permalink(); ?>?page_type=info">معلومات</a>
                                                </div>
                                                <div class="col">
                                                    <a <?php if($page_type == 'formation') echo 'class="active"'; ?> href="<?php echo get_the_permalink(); ?>?page_type=formation">التشكيل</a>
                                                </div>
                                                <div class="col">
                                                    <a <?php if($page_type == 'events') echo 'class="active"'; ?> href="<?php echo get_the_permalink(); ?>?page_type=events">احداث</a>
                                                </div>
                                                <div class="col">
                                                    <a <?php if($page_type == 'news_videos') echo 'class="active"'; ?> href="<?php echo get_the_permalink(); ?>?page_type=news_videos">اخبار و فيديو</a>
                                                </div>
                                            </div>
                                            <div class="row tabBody">

                                                <div class="col">
                                                    <div class="container">

                                                        <div class="card">
                                                            <?php
                                                                if ($page_type == 'info') {
                                                                    get_template_part('includes/match/info');
                                                                } elseif ($page_type == 'formation') {
                                                                    get_template_part('includes/match/formation');
                                                                } elseif ($page_type == 'news_videos') {
                                                                    get_template_part('includes/match/news_videos');
                                                                } else {
                                                                    get_template_part('includes/match/events');
                                                                }
                                                            ?>
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                        <?php get_template_part('comments'); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php
                        endwhile;
                        wp_reset_query();
                    ?>
                    <?php get_sidebar(); ?>
                </div>
            </div>
        </div>
    </div>
</section>
<?php
    get_footer();
?>