<!DOCTYPE html>
<html lang="en" dir="rtl">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./assets/css/all.min.css">
    <link rel="stylesheet" href="./assets/css/normalize.css">
    <link rel="stylesheet" href="./assets/css/mdb.min.css">
    <link rel="stylesheet" href="./assets/css/bootstrap.min.css">
    <link rel="stylesheet" href="./assets/css/animate.css">
    <link rel="stylesheet" href="./assets/css/datepicker.css">
    <link rel="stylesheet" href="./assets/css/jquery-comments.css">
    <!-- <link rel="stylesheet" href="./assets/css/assest.css"> -->
    <link rel="stylesheet" href="./assets/css/main.css">
    <title>Yallagoal</title>
</head>

<body>
    <header>
        <nav class="navbar navbar-expand-lg navbar-dark">
            <div class="container">
                <a class="navbar-brand" href="index.php"><img src="./assets/images/logo.png" alt="yallagoal"></a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav ms-auto mb-2 mb-lg-0">
                        <li class="nav-item">
                            <a class="nav-link active" aria-current="page" href="index.php">الرئيسية</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="news.php">الأخبار</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link dropdown-toggle" href="matches.php">
                                بطولات
                            </a>
                            <div class="fullScreenMenu">
                                <div class="container">
                                    <ul class="row list-unstyled">
                                        <ul class="col-lg-6 list-unstyled">
                                            <li class="title">
                                                <a href="#">
                                                    بطولات الاندية
                                                </a>
                                            </li>
                                            <div class="row">
                                                <div class="mrow col-lg-6">
                                                    <li><a href="league.php">الدوري
                                                            المصري</a></li>
                                                    <li><a href="league.php">كأس
                                                            الامم الافريقية</a>
                                                    </li>
                                                    <li><a href="league.php">دوري
                                                            ابطال
                                                            افريقيا</a></li>
                                                    <li><a href="league.php">الدوري
                                                            السعودي</a></li>
                                                    <li><a href="league.php">دوري
                                                            أبطال أوروبا</a></li>
                                                    <li><a href="league.php">الدوري
                                                            الإنجليزي</a></li>
                                                    <li class="active"><a href="league.php">الدوري
                                                            الاسباني</a></li>
                                                </div>
                                                <div class="mrow col-lg-6">
                                                    <li><a href="league.php">الدوري
                                                            الاوروبي</a></li>
                                                    <li><a href="league.php">الدوري
                                                            الايطالي</a></li>
                                                    <li><a href="league.php">الدوري
                                                            الالماني</a></li>
                                                    <li><a href="league.php">الدوري
                                                            الفرنسي</a></li>
                                                    <li><a href="league.php"> كأس
                                                            العالم </a></li>
                                                    <li><a href="league.php"">
                                                                    كوبا امريكا </a></li>
                                                        </div>
                                                    </div>
                                                </ul>
                                        <ul class=" col-lg-6 list-unstyled">
                                                    <li class="title">
                                                        <a href="#">بطولات المنتخبات</a>
                                                    </li>
                                                    <div class="row">
                                                        <div class="mrow col-lg-6">
                                                            <li><a href="league.php">منتخب
                                                                    مصر</a></li>
                                                            <li><a href="league.php">الأهلي</a>
                                                            </li>
                                                            <li><a href="league.php">الزمالك</a>
                                                            </li>
                                                            <li><a href="league.php">ريال
                                                                    مدريد</a></li>
                                                            <li><a href="league.php">برشلونة</a>
                                                            </li>
                                                            <li><a href="league.php">ليفربول</a>
                                                            </li>
                                                        </div>
                                                        <div class="mrow col-lg-6">
                                                            <li><a href="league.php">
                                                                    مانشستر سيتي</a></li>
                                                            <li><a href="league.php">مانشستر
                                                                    يونايتد</a></li>
                                                            <li><a href="league.php">
                                                                    ارسنال</a></li>
                                                            <li><a href="league.php">
                                                                    يوفنتوس</a></li>
                                                            <li><a href="league.php">
                                                                    بيراميدز</a></li>
                                                            <li><a href="league.php">باريس
                                                                    سان
                                                                    جيرمان</a></li>
                                                        </div>
                                                    </div>
                                        </ul>

                                    </ul>
                                </div>
                            </div>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link dropdown-toggle" href="videos.php">
                                فيديوهات
                            </a>
                            <div class="fullScreenMenu">
                                <div class="container">

                                    <ul class="row list-unstyled">
                                        <ul class="col-lg-6 list-unstyled">
                                            <li class="title">
                                                <a href="#">
                                                    فيديوهات بالبطولة
                                                </a>
                                            </li>
                                            <div class="row">

                                                <div class="mrow col-lg-6">
                                                    <li><a href="leagueVideos.php">الدوري
                                                            المصري</a></li>
                                                    <li><a href="leagueVideos.php">كأس
                                                            الامم الافريقية</a>
                                                    </li>
                                                    <li><a href="leagueVideos.php">دوري
                                                            ابطال
                                                            افريقيا</a></li>
                                                    <li><a href="leagueVideos.php">الدوري
                                                            السعودي</a></li>
                                                    <li><a href="leagueVideos.php">دوري
                                                            أبطال أوروبا</a></li>
                                                    <li><a href="leagueVideos.php">الدوري
                                                            الإنجليزي</a></li>
                                                    <li class="active"><a href="leagueVideos.php">الدوري
                                                            الاسباني</a></li>
                                                </div>
                                                <div class="mrow col-lg-6">
                                                    <li><a href="leagueVideos.php">الدوري
                                                            الاوروبي</a></li>
                                                    <li><a href="leagueVideos.php">الدوري
                                                            الايطالي</a></li>
                                                    <li><a href="leagueVideos.php">الدوري
                                                            الالماني</a></li>
                                                    <li><a href="leagueVideos.php">الدوري
                                                            الفرنسي</a></li>
                                                    <li><a href="leagueVideos.php"> كأس
                                                            العالم </a></li>
                                                    <li><a href="leagueVideos.php">
                                                            كوبا امريكا </a></li>
                                                </div>
                                            </div>
                                        </ul>
                                        <ul class="col-lg-6 list-unstyled">
                                            <li class="title">
                                                <a href="#"> فيديوهات بالفريق</a>
                                            </li>
                                            <div class="row">
                                                <div class="mrow col-lg-6">
                                                    <li><a href="leagueVideos.php">منتخب
                                                            مصر</a></li>
                                                    <li><a href="leagueVideos.php">الأهلي</a>
                                                    </li>
                                                    <li><a href="leagueVideos.php">الزمالك</a>
                                                    </li>
                                                    <li><a href="leagueVideos.php">ريال
                                                            مدريد</a></li>
                                                    <li><a href="leagueVideos.php">برشلونة</a>
                                                    </li>
                                                    <li><a href="leagueVideos.php">ليفربول</a>
                                                    </li>
                                                </div>
                                                <div class="mrow col-lg-6">
                                                    <li><a href="leagueVideos.php">
                                                            مانشستر سيتي</a></li>
                                                    <li><a href="leagueVideos.php">مانشستر
                                                            يونايتد</a></li>
                                                    <li><a href="leagueVideos.php">
                                                            ارسنال</a></li>
                                                    <li><a href="leagueVideos.php">
                                                            يوفنتوس</a></li>
                                                    <li><a href="leagueVideos.php">
                                                            بيراميدز</a></li>
                                                    <li><a href="leagueVideos.php">باريس سان
                                                            جيرمان</a></li>
                                                </div>
                                            </div>
                                        </ul>

                                    </ul>
                                </div>
                            </div>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="matches.php">مركز المباريات</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>