<div class="container-section-e">
    <div class="container">
        <div id="mod-custom159" class="mod-custom custom">
            <h2><?php echo getTheTextByLang('Need help or have questions, please contact us any time'); ?></h2>
            <?php
                $contactus_page_id = ot_get_option('contactus_link');
                if ($contactus_page_id) {
                    $contactus_page_permalink = get_permalink($contactus_page_id);
            ?>
            <p>
                <a href="<?php echo $contactus_page_permalink; ?>" class="btn btn-rounded btn-primary">
                    <?php echo getTheTextByLang('contact us'); ?>
                </a>
            </p>
            <?php } ?>
        </div>
    </div>
</div>




<footer>
    <div class="container">
        <div class="row">
            <div class="col-md-4">
                <div class="footer-column">
                    <?php
                        if (getSettingValue('footer_welcome_'.getTheLang()) != '') {
                    ?>
                        <p><?php echo getSettingValue('footer_welcome_'.getTheLang()); ?></p>
                    <?php } ?>
                    
                    <div class="social-icons">
                        <!-- Add your social media icons here -->
                        <?php
                            if (getSettingValue('facebook') != '') {
                        ?>
                            <a href="<?php echo getSettingValue('facebook'); ?>"><i class="fab fa-facebook-f"></i></a>
                        <?php } ?>
                        <?php
                            if (getSettingValue('twitter') != '') {
                        ?>
                            <a href="<?php echo getSettingValue('twitter'); ?>"><i class="fab fa-twitter"></i></a>
                        <?php } ?>
                        <?php
                            if (getSettingValue('instagram') != '') {
                        ?>
                            <a href="<?php echo getSettingValue('instagram'); ?>"><i class="fab fa-instagram"></i></a>
                        <?php } ?>
                        <?php
                            if (getSettingValue('tiktok') != '') {
                        ?>
                            <a href="<?php echo getSettingValue('tiktok'); ?>"><i class="fab fa-tiktok"></i></a>
                        <?php } ?>
                        <?php
                            if (getSettingValue('youtube') != '') {
                        ?>
                            <a href="<?php echo getSettingValue('youtube'); ?>"><i class="fab fa-youtube"></i></a>
                        <?php } ?>
                        <?php
                            if (getSettingValue('linkedin') != '') {
                        ?>
                            <a href="<?php echo getSettingValue('linkedin'); ?>"><i class="fab fa-linkedin"></i></a>
                        <?php } ?>
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="footer-column">
                    <h4><?php echo getTheTextByLang('Important Links'); ?></h4>
                    <?php
                        // Get the menu
                        $menu_locations = get_nav_menu_locations();
                        $menu_id = $menu_locations['footer_menu']; // Change 'primary' to your menu location slug
                        $menu_items = wp_get_nav_menu_items($menu_id);

                        // Output the menu
                        echo '<ul class="vertical-menu">';
                        foreach ($menu_items as $menu_item) {
                            if ($menu_item->menu_item_parent > 0) {
                                continue; // Skip sub-items
                            }
                            // Get custom label (English)
                            $custom_label_en = get_post_meta($menu_item->ID, '_custom_label_en', true);

                            // Use custom label if available, otherwise use default label
                            if (getTheLang() == 'en') {
                                $menu_item_label = !empty($custom_label_en) ? $custom_label_en : $menu_item->title;
                            } else {
                                $menu_item_label = !empty($menu_item->title) ? $menu_item->title : $custom_label_en;
                            }
                            

                            // Check if the menu item has sub-items
                            $has_sub_items = get_submenu_items($menu_item->ID, $menu_items);

                            // Output menu item
                            echo '<li class="nav-item">';
                            echo '<a class="nav-link" href="' . $menu_item->url . '">' . $menu_item_label . '</a>';

                            echo '</li>';
                        }
                        echo '</ul>';
                    ?>
                </div>
            </div>
            <div class="col-md-4">
                <div class="footer-column">
                    <h4><?php echo getTheTextByLang('Info Company'); ?></h4>
                    <?php
                        if (getSettingValue('footer_company_info_'.getTheLang()) != '') {
                    ?>
                        <p><?php echo getSettingValue('footer_company_info_'.getTheLang()); ?></p>
                    <?php } ?>
                    <div class="footer-images">
                        <div class="row">
                            <?php
                                $about_pdf_upload = ot_get_option('about_pdf_upload');
                                if (!empty($about_pdf_upload)) {
                            ?>
                                <div class="col-6">
                                    <a href="<?php echo esc_url($about_pdf_upload); ?>" target="_blank">
                                        <img src="<?php bloginfo('template_directory');?>/style/assets/images/downlaodpdf.png" alt="Image 1">
                                    </a>
                                </div>
                            <?php } ?>
                            <?php
                                $fs_pdf_upload = ot_get_option('fs_pdf_upload');
                                if (!empty($fs_pdf_upload)) {
                            ?>
                                <div class="col-6">
                                    <a href="<?php echo esc_url($fs_pdf_upload); ?>" target="_blank">
                                        <img src="<?php bloginfo('template_directory');?>/style/assets/images/fs<?php echo getTheLang(); ?>.png" alt="Image 1">
                                    </a>
                                </div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <div class="cr">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    Copyright © 2023
                    <a href="https://aaacompany.sa/" target="_blank" class="pb-0 m-0  text-white">
                        ABDULLAH AYED AL-ANZI GENERAL CONT.CO
                    </a>
                    All Rights Reserved
                    <br>
                    Designed By
                    <a href="https://technomasr.com/" target="_blank" class="pb-0 m-0  text-white">
                        Technomasr Co.
                    </a>
                </div>
            </div>
        </div>
    </div>
</footer>



<script src="<?php bloginfo('template_directory');?>/style/assets/js/main.js"></script>
<script src="<?php bloginfo('template_directory');?>/style/assets/js/all.min.js"></script>
<script src="<?php bloginfo('template_directory');?>/style/assets/js/mdb.min.js"></script>
<script src="<?php bloginfo('template_directory');?>/style/assets/js/bootstrap.bundle.min.js"></script>
<script src="<?php bloginfo('template_directory');?>/style/assets/js/bootstrap.min.js"></script>
<script src="<?php bloginfo('template_directory');?>/style/assets/js/jquery.js"></script>
<script src="<?php bloginfo('template_directory');?>/style/assets/js/bootstrap-datetimepicker.min.js"></script>

<script type="text/javascript">
$(document).ready(function() {
    $('.dateinput').datepicker({
        format: "yyyy/mm/dd"
    });
});
</script>

  <!-- JavaScript to Handle Navbar Collapse -->
  <script>
    $(document).ready(function () {
      $('.navbar-toggler').click(function () {
        $('.collapse').collapse('toggle');
      });
    });
    window.addEventListener('load', function() {
        const preloader = document.getElementById('preloader');
        const content = document.getElementById('content');

        // Hide the preloader and show the content after a delay
        setTimeout(function() {
            preloader.style.display = 'none';
            content.style.display = 'block';
        }, 2000); // Adjust the delay as needed
    });
  </script>
</body>

</html>
<?php  wp_footer();?>