<?php

/*
* Creating a function to create our CPT
*/
 
// function services_post_type() {
 
//     // Set UI labels for Custom Post Type
//     $labels = array(
//         'name'                => _x( 'خدمات', 'Post Type General Name' ),
//         'singular_name'       => _x( 'خدمة', 'Post Type Singular Name' ),
//         'menu_name'           => __( 'أقسامنا' ),
//         'parent_item_colon'   => __( 'الخدمة الأب' ),
//         'all_items'           => __( 'كل الخدمات' ),
//         'view_item'           => __( 'استعراض الخدمة' ),
//         'add_new_item'        => __( 'خدمة جديدة' ),
//         'add_new'             => __( 'إضافة جديد' ),
//         'edit_item'           => __( 'تعديل الخدمة' ),
//         'update_item'         => __( 'تحديث الخدمة' ),
//         'search_items'        => __( 'البحث عن خدمة' ),
//         'not_found'           => __( 'لا يوجد اى خدمات' ),
//         'not_found_in_trash'  => __( 'لا يوجد أى خدمات فى سلة المهملات' ),
//     );
        
//     // Set other options for Custom Post Type
        
//     $args = array(
//         'label'               => __( 'services' ),
//         'description'         => __( 'التحكم فى خدمات الشركة' ),
//         'labels'              => $labels,
//         // Features this CPT supports in Post Editor
//         'supports'            => array( 'title', 'editor', 'excerpt', 'author', 'thumbnail', 'revisions' ),
//         // You can associate this CPT with a taxonomy or custom taxonomy. 
//         'taxonomies'          => array( 'genres' ),
//         /* A hierarchical CPT is like Pages and can have
//         * Parent and child items. A non-hierarchical CPT
//         * is like Posts.
//         */ 
//         'hierarchical'        => false,
//         'public'              => true,
//         'show_ui'             => true,
//         'show_in_menu'        => true,
//         'show_in_nav_menus'   => true,
//         'show_in_admin_bar'   => true,
//         'menu_position'       => 5,
//         'can_export'          => true,
//         'has_archive'         => true,
//         'exclude_from_search' => false,
//         'publicly_queryable'  => true,
//         'capability_type'     => 'post',
//     );
        
//     // Registering your Custom Post Type
//     register_post_type( 'services', $args );
    
// }
    
// /* Hook into the 'init' action so that the function
// * Containing our post type registration is not 
// * unnecessarily executed. 
// */
    
// add_action( 'init', 'services_post_type', 0 );

// add_action( 'admin_init', 'custom_services_boxes' );
// function custom_services_boxes() {
//     $my_meta_box = array( 'id' => 'my_meta_box',
//     'title'       => __( 'بيانات أخرى', 'theme-text-domain' ),
//     'desc'        => '',
//     'pages'       => array( 'services', 'works' ),
//     'context'     => 'normal',
//     'priority'    => 'high',
//     'fields'      => array(
//         array(
//             'id'          => 'YouTubeURL',
//             'label'       => __( 'رابط فيديو يوتيوب', 'text-domain' ),
//             'desc'        => __( 'اكتب عنوان رابط فيديو من يوتيوب للعرض بجانب الخدمة', 'text-domain' ),
//             'type'        => 'text',
//             'std'         => '', 
//         ),
//         array(
//             'label'       => 'سعر الخدمة',
//             'id'          => 'price',
//             'type'        => 'text',
//             'desc'        => 'يمكنك ترجه فارغاً لعدم العرض',
//         ),
//         array(
//             'label'       => 'صور إضافية',
//             'id'          => 'serviceSlider',
//             'type'        => 'slider',
//             'desc'        => 'اختر الصور التى يتم عرضها بجانب الخدمة',
//         )
//     )
//   );
//   if ( function_exists( 'ot_register_meta_box' ) )
//     ot_register_meta_box( $my_meta_box );

// }




 
function products_post_type() {
 
    // Set UI labels for Custom Post Type
    $labels = array(
        'name'                => _x( 'منتجات', 'Post Type General Name' ),
        'singular_name'       => _x( 'منتج', 'Post Type Singular Name' ),
        'menu_name'           => __( 'منتجاتنا' ),
        'parent_item_colon'   => __( 'المنتج الأب' ),
        'all_items'           => __( 'كل المنتجات' ),
        'view_item'           => __( 'استعراض المنتج' ),
        'add_new_item'        => __( 'منتج جديد' ),
        'add_new'             => __( 'إضافة جديد' ),
        'edit_item'           => __( 'تعديل المنتج' ),
        'update_item'         => __( 'تحديث المنتج' ),
        'search_items'        => __( 'البحث عن منتج' ),
        'not_found'           => __( 'لا يوجد اى منتجات' ),
        'not_found_in_trash'  => __( 'لا يوجد أى منتجات فى سلة المهملات' ),
    );
        
    // Set other options for Custom Post Type
        
    $args = array(
        'label'               => __( 'products' ),
        'description'         => __( 'التحكم فى منتجات الشركة' ),
        'labels'              => $labels,
        // Features this CPT supports in Post Editor
        'supports'            => array( 'title', 'editor', 'excerpt', 'author', 'thumbnail', 'revisions' ),
        // You can associate this CPT with a taxonomy or custom taxonomy. 
        'taxonomies'          => array( 'products_sections' ),
        /* A hierarchical CPT is like Pages and can have
        * Parent and child items. A non-hierarchical CPT
        * is like Posts.
        */ 
        'hierarchical'        => false,
        'public'              => true,
        'show_ui'             => true,
        'show_in_menu'        => true,
        'show_in_nav_menus'   => true,
        'show_in_admin_bar'   => true,
        'menu_position'       => 5,
        'can_export'          => true,
        'has_archive'         => true,
        'exclude_from_search' => false,
        'publicly_queryable'  => true,
        'capability_type'     => 'post',
    );
        
    // Registering your Custom Post Type
    register_post_type( 'products', $args );
    
}
    
/* Hook into the 'init' action so that the function
* Containing our post type registration is not 
* unnecessarily executed. 
*/
    
add_action( 'init', 'products_post_type', 0 );

add_action( 'edit_form_after_editor', 'no_metabox_wspe_114084' );
add_action( 'save_post', 'save_wpse_114084', 10, 2 );

function no_metabox_wspe_114084()
{
    global $post;
    if( 'products' != $post->post_type )
        return;

    $editor1 = get_post_meta( $post->ID, '_product_english_content', true);

    wp_nonce_field( plugin_basename( __FILE__ ), 'wspe_114084' );
    echo '<h2>English Content</h2>';
    echo wp_editor( $editor1, 'product_english_content', array( 'textarea_name' => 'product_english_content' ) );
}

function save_wpse_114084( $post_id, $post_object )
{
    if( !isset( $post_object->post_type ) || 'products' != $post_object->post_type )
        return;

    if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) 
        return;

    if ( !isset( $_POST['wspe_114084'] ) || !wp_verify_nonce( $_POST['wspe_114084'], plugin_basename( __FILE__ ) ) )
        return;

    if ( isset( $_POST['product_english_content'] )  )
        update_post_meta( $post_id, '_product_english_content', $_POST['product_english_content'] );
}

add_action( 'admin_init', 'custom_products_boxes' );
function custom_products_boxes() {
    $my_meta_box = array( 'id' => 'my_meta_box',
    'title'       => __( 'بيانات أخرى', 'theme-text-domain' ),
    'desc'        => '',
    'pages'       => array( 'products' ),
    'context'     => 'normal',
    'priority'    => 'high',
    'fields'      => array(
        array(
            'id'          => 'english-title',
            'label'       => __( 'العنوان باللغة الإنجليزية', 'text-domain' ),
            'type'        => 'text',
            'std'         => '', 
        ),
        array(
            'id'          => 'YouTubeURL',
            'label'       => __( 'رابط فيديو يوتيوب', 'text-domain' ),
            'desc'        => __( 'اكتب عنوان رابط فيديو من يوتيوب للعرض بجانب المنتج', 'text-domain' ),
            'type'        => 'text',
            'std'         => '', 
        ),
        array(
            'label'       => 'سعر المنتج',
            'id'          => 'price',
            'type'        => 'text',
            'desc'        => 'يمكنك ترجه فارغاً لعدم العرض',
        ),
        array(
            'label'       => 'صور إضافية',
            'id'          => 'productSlider',
            'type'        => 'slider',
            'desc'        => 'اختر الصور التى يتم عرضها بجانب المنتج',
        )
    )
  );
  if ( function_exists( 'ot_register_meta_box' ) )
    ot_register_meta_box( $my_meta_box );

}

function register_products_categories() {
    register_taxonomy(
        'products_categories',  
        'products',                  
        array(
            'hierarchical'          => true,
            'label'                 => 'أقسام المنتجات',  
            'query_var'             => true,
            'show_admin_column'     => true,
            'rewrite'               => array(
                'slug'              => 'products_categories', 
                'with_front'    => true 
                )
            )
    );
}
add_action( 'init', 'register_products_categories');

/*****
 * 
 * 
 * اضافة حقول جديدة لاقسام المنتجات
 * 
 */
add_action( 'init', '___register_products_category_english_name' );

function ___register_products_category_english_name() {

    register_meta( 'term', '__products_category_english_name', '___sanitize_products_category_english_name' );
}

// SANITIZE DATA

function ___sanitize_products_category_english_name ( $value ) {
    return sanitize_text_field ($value);
}

// GETTER (will be sanitized)

function ___get_products_category_english_name( $term_id ) {
  $value = get_term_meta( $term_id, '__products_category_english_name', true );
  $value = ___sanitize_products_category_english_name( $value );
  return $value;
}

// ADD FIELD TO CATEGORY TERM PAGE

add_action( 'products_categories_add_form_fields', '___add_form_field_products_category_english_name' );

function ___add_form_field_products_category_english_name() { ?>
    <?php wp_nonce_field( basename( __FILE__ ), 'products_category_english_name_nonce' ); ?>
    <div class="form-field term-meta-text-wrap">
        <label for="term-meta-text"><?php _e( 'الاسم باللغة الإنجليزية', 'text_domain' ); ?></label>
        <input type="text" name="products_category_english_name" id="term-meta-text" value="" class="term-meta-text-field" />
    </div>
<?php }


// ADD FIELD TO CATEGORY EDIT PAGE

add_action( 'products_categories_edit_form_fields', '___edit_form_field_products_category_english_name' );

function ___edit_form_field_products_category_english_name( $term ) {

    $value  = ___get_products_category_english_name( $term->term_id );

    if ( ! $value )
        $value = ""; ?>

    <tr class="form-field term-meta-text-wrap">
        <th scope="row"><label for="term-meta-text"><?php _e( 'الاسم باللغة الإنجليزية', 'text_domain' ); ?></label></th>
        <td>
            <?php wp_nonce_field( basename( __FILE__ ), 'products_category_english_name_nonce' ); ?>
            <input type="text" name="products_category_english_name" id="term-meta-text" value="<?php echo esc_attr( $value ); ?>" class="term-meta-text-field"  />
        </td>
    </tr>
<?php }


// SAVE TERM META (on term edit & create)

add_action( 'edit_products_categories',   '___save_products_category_english_name' );
add_action( 'create_products_categories', '___save_products_category_english_name' );

function ___save_products_category_english_name( $term_id ) {

    // verify the nonce --- remove if you don't care
    if ( ! isset( $_POST['products_category_english_name_nonce'] ) || ! wp_verify_nonce( $_POST['products_category_english_name_nonce'], basename( __FILE__ ) ) )
        return;

    $old_value  = ___get_products_category_english_name( $term_id );
    $new_value = isset( $_POST['products_category_english_name'] ) ? ___sanitize_products_category_english_name ( $_POST['products_category_english_name'] ) : '';


    if ( $old_value && '' === $new_value )
        delete_term_meta( $term_id, '__products_category_english_name' );

    else if ( $old_value !== $new_value )
        update_term_meta( $term_id, '__products_category_english_name', $new_value );
}

// MODIFY COLUMNS (add our meta to the list)

add_filter( 'manage_edit-products_categories_columns', '___edit_term_columns', 10, 3 );

function ___edit_term_columns( $columns ) {

    $columns['__products_category_english_name'] = __( 'الاسم باللغة الإنجليزية', 'text_domain' );

    return $columns;
}

// RENDER COLUMNS (render the meta data on a column)

add_filter( 'manage_products_categories_custom_column', '___manage_term_custom_column', 10, 3 );

function ___manage_term_custom_column( $out, $column, $term_id ) {

    if ( '__products_category_english_name' === $column ) {

        $value  = ___get_products_category_english_name( $term_id );

        if ( ! $value )
            $value = '';

        $out = sprintf( '<span class="term-meta-text-block" style="" >%s</div>', esc_attr( $value ) );
    }

    return $out;
}
/**
 * 
 * نهاية الكود
 * 
 */
// function works_post_type() {
 
// // Set UI labels for Custom Post Type
//     $labels = array(
//         'name'                => _x( 'أعمال', 'Post Type General Name' ),
//         'singular_name'       => _x( 'عمل', 'Post Type Singular Name' ),
//         'menu_name'           => __( 'خدماتنا' ),
//         'parent_item_colon'   => __( 'العمل الأب' ),
//         'all_items'           => __( 'كل الأعمال' ),
//         'view_item'           => __( 'استعراض العمل' ),
//         'add_new_item'        => __( 'عمل جديدة' ),
//         'add_new'             => __( 'إضافة جديد' ),
//         'edit_item'           => __( 'تعديل العمل' ),
//         'update_item'         => __( 'تحديث العمل' ),
//         'search_items'        => __( 'البحث عن عمل' ),
//         'not_found'           => __( 'لا يوجد اى أعمال' ),
//         'not_found_in_trash'  => __( 'لا يوجد أى أعمال فى سلة المهملات' ),
//     );
        
// // Set other options for Custom Post Type
        
//     $args = array(
//         'label'               => __( 'works' ),
//         'description'         => __( 'التحكم فى أعمال الشركة' ),
//         'labels'              => $labels,
//         // Features this CPT supports in Post Editor
//         'supports'            => array( 'title', 'editor', 'excerpt', 'author', 'thumbnail', 'revisions' ),
//         // You can associate this CPT with a taxonomy or custom taxonomy. 
//         'taxonomies'          => array( 'genres' ),
//         /* A hierarchical CPT is like Pages and can have
//         * Parent and child items. A non-hierarchical CPT
//         * is like Posts.
//         */ 
//         'hierarchical'        => false,
//         'public'              => true,
//         'show_ui'             => true,
//         'show_in_menu'        => true,
//         'show_in_nav_menus'   => true,
//         'show_in_admin_bar'   => true,
//         'menu_position'       => 5,
//         'can_export'          => true,
//         'has_archive'         => true,
//         'exclude_from_search' => false,
//         'publicly_queryable'  => true,
//         'capability_type'     => 'post',
//     );
        
//     // Registering your Custom Post Type
//     register_post_type( 'works', $args );
    
// }
    
// /* Hook into the 'init' action so that the function
// * Containing our post type registration is not 
// * unnecessarily executed. 
// */
    
// add_action( 'init', 'works_post_type', 0 );
    











// function members_post_type() {
 
// // Set UI labels for Custom Post Type
//     $labels = array(
//         'name'                => _x( 'فريق العمل', 'Post Type General Name' ),
//         'singular_name'       => _x( 'عضو فريق العمل', 'Post Type Singular Name' ),
//         'menu_name'           => __( 'فريق العمل' ),
//         'parent_item_colon'   => __( 'عضو فريق العمل الأب' ),
//         'all_items'           => __( 'جميع فريق العمل' ),
//         'view_item'           => __( 'استعراض عضو فريق العمل' ),
//         'add_new_item'        => __( 'عضو جديد' ),
//         'add_new'             => __( 'إضافة عضو' ),
//         'edit_item'           => __( 'تعديل عضو فريق العمل' ),
//         'update_item'         => __( 'تحديث عضو فريق العمل' ),
//         'search_items'        => __( 'البحث عن عضو فريق العمل' ),
//         'not_found'           => __( 'لا يوجد اى فريق عضو فريق العمل' ),
//         'not_found_in_trash'  => __( 'لا يوجد أى فريق عضو فريق العمل فى سلة المهملات' ),
//     );
        
// // Set other options for Custom Post Type
        
//     $args = array(
//         'label'               => __( 'members' ),
//         'description'         => __( 'التحكم فى فريق العمل بالشركة' ),
//         'labels'              => $labels,
//         // Features this CPT supports in Post Editor
//         'supports'            => array( 'excerpt', 'author', 'thumbnail' ),
//         // You can associate this CPT with a taxonomy or custom taxonomy. 
//         'taxonomies'          => array( 'genres' ),
//         /* A hierarchical CPT is like Pages and can have
//         * Parent and child items. A non-hierarchical CPT
//         * is like Posts.
//         */ 
//         'hierarchical'        => false,
//         'public'              => true,
//         'show_ui'             => true,
//         'show_in_menu'        => true,
//         'show_in_nav_menus'   => true,
//         'show_in_admin_bar'   => true,
//         'menu_position'       => 5,
//         'can_export'          => true,
//         'has_archive'         => true,
//         'exclude_from_search' => false,
//         'publicly_queryable'  => true,
//         'capability_type'     => 'post',
//     );
        
//     // Registering your Custom Post Type
//     register_post_type( 'members', $args );
    
// }
    
// /* Hook into the 'init' action so that the function
// * Containing our post type registration is not 
// * unnecessarily executed. 
// */
    
// add_action( 'init', 'members_post_type', 0 );
    




// add_action( 'admin_init', 'custom_members_boxes' );
// function custom_members_boxes() { $members_meta_box = array( 'id' => 'members_meta_box',
//     'title'       => __( 'بيانات أخرى', 'theme-text-domain' ),
//     'desc'        => '',
//     'pages'       => array( 'members', 'works' ),
//     'context'     => 'normal',
//     'priority'    => 'high',
//     'fields'      => array(
//         array(
//             'id'          => 'name',
//             'label'       => __( 'الإسم', 'text-domain' ),
//             'type'        => 'text',
//             'std'         => '', 
//         ),
//         array(
//             'id'          => 'title',
//             'label'       => __( 'اللقب', 'text-domain' ),
//             'type'        => 'text',
//             'std'         => '', 
//         ),
//         array(
//             'id'          => 'address',
//             'label'       => __( 'العنوان', 'text-domain' ),
//             'type'        => 'text',
//             'std'         => '', 
//         ),
//         array(
//             'id'          => 'phone',
//             'label'       => __( 'الهاتف', 'text-domain' ),
//             'type'        => 'text',
//             'std'         => '', 
//         ),
//         array(
//             'id'          => 'whatsapp',
//             'label'       => __( 'واتس اب', 'text-domain' ),
//             'type'        => 'text',
//             'std'         => '', 
//         ),
//         array(
//             'id'          => 'email',
//             'label'       => __( 'البريد الإلكترونى', 'text-domain' ),
//             'type'        => 'text',
//             'std'         => '', 
//         ),
//         array(
//             'id'          => 'skype',
//             'label'       => __( 'سكايب', 'text-domain' ),
//             'type'        => 'text',
//             'std'         => '', 
//         ),
//         array(
//             'id'          => 'facebook',
//             'label'       => __( 'فيس بوك', 'text-domain' ),
//             'type'        => 'text',
//             'std'         => '', 
//         ),
//         array(
//             'id'          => 'linkedin',
//             'label'       => __( 'لينكد ان', 'text-domain' ),
//             'type'        => 'text',
//             'std'         => '', 
//         ),
//         array(
//             'id'          => 'twitter',
//             'label'       => __( 'تيتر', 'text-domain' ),
//             'type'        => 'text',
//             'std'         => '', 
//         )
//     )
//   );
//   if ( function_exists( 'ot_register_meta_box' ) )
//     ot_register_meta_box( $members_meta_box );

// }