<?php
	/* template name: نتائج المباريات */
	get_header();

    $selected_date = date('Y-m-d');
    $league = 'all';
    $page_status = '';
    if (isset($_GET['selected_date'])) {
        if ($_GET['selected_date'] != '') {
            $selected_date = date('Y-m-d' ,$_GET['selected_date']);
        }
    }
    if (isset($_GET['league'])) {
        if ($_GET['league'] != '') {
            $league = $_GET['league'];
        }
    }
    if (isset($_GET['page_status'])) {
        if ($_GET['page_status'] != '') {
            $page_status = $_GET['page_status'];
        }
    }
    global $wp;
?>
<section>
    <div id="fullMatchCenterTable">
        <div class="container-fluid pt-2">
            <div class="container">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="">مركز المباريات</a></li>
                        <li class="breadcrumb-item active" aria-current="page">
                            مباريات
                            <span>
                                <?php echo getArabicDate($selected_date)['full']; ?>
                            </span>
                        </li>
                    </ol>
                </nav>
                <div class="matchsDays row text-center">
                    <?php $dates_list = getMatches5Days($selected_date); ?>
                    <?php
                        foreach ($dates_list as $date_key => $date) {
                    ?>
                        <div class="col day <?php echo $date['class']; ?>" data-date="<?php echo $date['date']; ?>">
                            <div class="time">
                                <div class="dayDate">
                                    <a href="<?php echo get_permalink().'?&page_status='.$page_status.'&league='.$league.'&selected_date='.$date['date_str'] ?>">
                                        <span>
                                            <?php echo getArabicDate($date['date'])['day']; ?>
                                        </span>
                                        <time>
                                            <?php echo getArabicDate($date['date'])['date']; ?>
                                        </time>
                                    </a>
                                </div>
                            </div>
                        </div>
                    <?php } ?>
                    <button class="datepicker" id="datepicker" data-provide="datepicker">
                        <i class="fa fa-calendar"></i>
                    </button>

                </div>
                <div id="matchtable" class="cardBox">
                    <div class="matchCenterBox light full">
                        <nav>
                            <div class="nav nav-tabs justify-content-between overflow-hidden" id="nav-tab"
                                role="tablist">
                                <a class="col nav-item nav-link active x" id="all-tab" data-mdb-toggle="tab" href="#all"
                                    role="tab" aria-controls="all" aria-selected="true">الكل</a>
                                <a class="col nav-item nav-link x" id="ended-tab" data-mdb-toggle="tab" href="#ended"
                                    role="tab" aria-controls="ended" aria-selected="false">انتهت</a>
                                <a class="col nav-item nav-link x" id="live-tab" data-mdb-toggle="tab" href="#live"
                                    role="tab" aria-controls="live" aria-selected="false">مباشر</a>
                                <a class="col nav-item nav-link x" id="notYet-tab" data-mdb-toggle="tab" href="#notYet"
                                    role="tab" aria-controls="notYet" aria-selected="false">لم تبدأ</a>
                                <select class="col nav-item nav-link x" name="" id="selectLeg"  onchange="location = this.value;">
                                    <option value="<?php echo get_permalink().'?&page_status='.$page_status.'&league=all&selected_date='.strtotime($selected_date); ?>"
                                        <?php
                                            if ($league == $category->cat_ID) {
                                                echo 'selected';
                                            }
                                        ?>
                                        >
                                        كل البطولات
                                    </option>
                                    <?php
                                        $categoriesList = getCategoriesListOptions($league,$page_status,$selected_date);
                                        foreach ($categoriesList as $singleCate) {
                                    ?>
                                        <option value="<?php echo $singleCate['value']; ?>"
                                            <?php
                                                if ($league == $singleCate['id']) {
                                                    echo 'selected';
                                                }
                                            ?>
                                            >
                                            <?php echo $singleCate['name']; ?>
                                        </option>
                                    <?php } ?>
                                </select>
                            </div>
                        </nav>
                        <div class="tab-content overflow-hidden">
                            <div class="tab-content" id="nav-tab-content">
                                <div class="tab-pane fade show active" id="all" role="tabpanel"
                                    aria-labelledby="all-tab">
                                    <div class="matchtableX">
                                        <?php
                                            $categoriesListForMatches = getCategoriesListForMatches($league,$page_status,$selected_date);
                                            $dayHasData = false;
                                            foreach($categoriesListForMatches as $category) {
                                                    $args = array(
                                                        'posts_per_page' => '-1',
                                                        'post_type' => 'Match',
                                                        'cat' => $category['id'],
                                                        'meta_query' => array(
                                                            array(
                                                                'key' => 'date',
                                                                'value' => $selected_date,
                                                                'compare' => '='
                                                            )
                                                        ),
                                                        'post_status' => 'publish'
                                                    );
                                                    $today_matches = new WP_Query ( $args);
                                                    if($today_matches->have_posts()) :
                                        ?>
                                            <div class="row matchBox title dark">
                                                <div class="col d-flex  mx-4">
                                                    <h2 class="legTitle">
                                                        <?php echo $category['name']; ?>
                                                    </h2>
                                                </div>
                                            </div>
                                            <ul class="list-unstyled">
                                                <?php
                                                    while ($today_matches->have_posts()) : $today_matches->the_post();
                                                ?>
                                                <li id="<?php echo $value->ID; ?>" class="<?php echo getMatchStatus()['class']; ?>">
                                                    <div class="matchBox">
                                                        <div class="teams d-flex flex-wrap ">
                                                            <div class="team-header d-flex w-100 justify-content-between">
                                                                <a class="team1" href="<?php echo get_permalink(getMatchTeams()['team_1']['data']->ID); ?>">
                                                                    <span>
                                                                        <img
                                                                            src="<?php echo getMatchTeams()['team_1']['image']; ?>"
                                                                            alt="<?php echo getMatchTeams()['team_1']['data']->post_title; ?>" title="<?php echo getMatchTeams()['team_1']['data']->post_title; ?>"></span>
                                                                    <h3 class="teamName"><?php echo getMatchTeams()['team_1']['data']->post_title; ?></h3>
                                                                </a>
                                                                <a class="stat" href="<?php echo get_permalink($value->ID);?>">
                                                                    <div class="status">
                                                                        <span><?php echo getMatchStatus()['text']; ?></span>
                                                                    </div>
                                                                    <span class="xmatchDate" id="timer3150755">
                                                                        <?php //if (getMatchStatus()['minute'] > 0) { ?>
                                                                        <span><?php echo getMatchStatus()['minute']; ?></span>
                                                                        <?php //} ?>
                                                                    </span>
                                                                    <div class="results d-flex justify-content-between">
                                                                        <div class="team1G"><?php echo getMatchStates()['team_1']; ?> </div>
                                                                        <div class="team2G"><?php echo getMatchStates()['team_2']; ?> </div>
                                                                    </div>
                                                                </a>
                                                                <a class="team2" href="<?php echo get_permalink(getMatchTeams()['team_2']['data']->ID); ?>">
                                                                    <span><img
                                                                            src="<?php echo getMatchTeams()['team_2']['image']; ?>"
                                                                            alt="<?php echo getMatchTeams()['team_2']['data']->post_title; ?>"
                                                                            title="<?php echo getMatchTeams()['team_2']['data']->post_title; ?>"></span>
                                                                    <h3 class="teamName"><?php echo getMatchTeams()['team_2']['data']->post_title; ?></h3>
                                                                </a>
                                                            </div>
                                                            <!-- <div class="teamsfooter w-100">
                                                                <span>
                                                                    الإسماعيلي ضد سيراميكا كليوباترا
                                                                </span> فى <span>الدوري المصري</span>
                                                            </div> -->
                                                        </div>
                                                    </div>
                                                </li>
                                                <?php endwhile;  wp_reset_query(); $dayHasData = true; ?>
                                            </ul>
                                        <?php endif; } ?>

                                        <?php
                                            if ($dayHasData !== true) {
                                                echo '<h5 class="text-center p-4">لا توجد مباريات لهذا اليوم</h5>';
                                            }
                                        ?>
                                    </div>
                                </div>
                                <!-- <div class="tab-pane fade" id="ended" role="tabpanel" aria-labelledby="ended-tab">
                                    <div class="matchtableX">
                                        <div class="row matchBox title dark">
                                            <div class="col d-flex  mx-4">
                                                <div><img class="img-fluid"
                                                        src="https://img.btolat.com/tourlogo/32eab27b-e23c-4d16-ad92-605a1d6ab55d.png"
                                                        alt="الدوري الإنجليزي">
                                                </div>
                                                <h2 class=" legTitle">الدوري الإنجليزي</h2>

                                            </div>

                                        </div>
                                        <ul class="list-unstyled">

                                            <li id="3150755" class="ended">
                                                <div class="matchBox">
                                                    <div class="teams d-flex flex-wrap ">
                                                        <div class="team-header d-flex w-100 justify-content-between">
                                                            <a class="team1" href="team.php">
                                                                <span><img
                                                                        src="https://img.btolat.com/teamslogo/8930.png"
                                                                        alt="الإسماعيلي" title="الإسماعيلي"></span>
                                                                <h3 class="teamName">الإسماعيلي</h3>
                                                            </a>
                                                            <a class="stat" href="matches.php">
                                                                <div class="status"><span>مباشر</span></div>
                                                                <span class="xmatchDate"
                                                                    id="timer3150755"><span>16'</span>
                                                                </span>
                                                                <div class="results d-flex justify-content-between">
                                                                    <div class="team1G">1 </div>
                                                                    <div class="team2G">0 </div>
                                                                </div>
                                                            </a>
                                                            <a class="team2" href="team.php">
                                                                <span><img
                                                                        src="https://img.btolat.com/teamslogo/33716.png"
                                                                        alt="سيراميكا كليوباترا"
                                                                        title="سيراميكا كليوباترا"></span>
                                                                <h3 class="teamName">سيراميكا كليوباترا</h3>
                                                            </a>
                                                        </div>
                                                        <div class="teamsfooter w-100">
                                                            <span content="الإسماعيلي ضد سيراميكا كليوباترا"
                                                                itemprop="name">
                                                                الإسماعيلي ضد سيراميكا كليوباترا
                                                            </span> فى <span>الدوري المصري</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </li>
                                            <li id="3150755" class="ended">
                                                <div class="matchBox">
                                                    <div class="teams d-flex flex-wrap ">
                                                        <div class="team-header d-flex w-100 justify-content-between">
                                                            <a class="team1" href="/team/8930/ismaily">
                                                                <span><img
                                                                        src="https://img.btolat.com/teamslogo/8930.png"
                                                                        alt="الإسماعيلي" title="الإسماعيلي"></span>
                                                                <h3 class="teamName">الإسماعيلي</h3>
                                                            </a>
                                                            <a class="stat" href="matches.php">
                                                                <div class="status"><span>مباشر</span></div>
                                                                <span class="xmatchDate"
                                                                    id="timer3150755"><span>16'</span>
                                                                </span>
                                                                <div class="results d-flex justify-content-between">
                                                                    <div class="team1G">1 </div>
                                                                    <div class="team2G">0 </div>
                                                                </div>
                                                            </a>
                                                            <a class="team2" href="/team/33716/ceramica-cleopatra">
                                                                <span><img
                                                                        src="https://img.btolat.com/teamslogo/33716.png"
                                                                        alt="سيراميكا كليوباترا"
                                                                        title="سيراميكا كليوباترا"></span>
                                                                <h3 class="teamName">سيراميكا كليوباترا</h3>
                                                            </a>
                                                        </div>
                                                        <div class="teamsfooter w-100">
                                                            <span content="الإسماعيلي ضد سيراميكا كليوباترا"
                                                                itemprop="name">
                                                                الإسماعيلي ضد سيراميكا كليوباترا
                                                            </span> فى <span>الدوري المصري</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </li>
                                            <li id="3150755" class="ended">
                                                <div class="matchBox">
                                                    <div class="teams d-flex flex-wrap ">
                                                        <div class="team-header d-flex w-100 justify-content-between">
                                                            <a class="team1" href="/team/8930/ismaily">
                                                                <span><img
                                                                        src="https://img.btolat.com/teamslogo/8930.png"
                                                                        alt="الإسماعيلي" title="الإسماعيلي"></span>
                                                                <h3 class="teamName">الإسماعيلي</h3>
                                                            </a>
                                                            <a class="stat" href="matches.php">
                                                                <div class="status"><span>مباشر</span></div>
                                                                <span class="xmatchDate"
                                                                    id="timer3150755"><span>16'</span>
                                                                </span>
                                                                <div class="results d-flex justify-content-between">
                                                                    <div class="team1G">1 </div>
                                                                    <div class="team2G">0 </div>
                                                                </div>
                                                            </a>
                                                            <a class="team2" href="/team/33716/ceramica-cleopatra">
                                                                <span><img
                                                                        src="https://img.btolat.com/teamslogo/33716.png"
                                                                        alt="سيراميكا كليوباترا"
                                                                        title="سيراميكا كليوباترا"></span>
                                                                <h3 class="teamName">سيراميكا كليوباترا</h3>
                                                            </a>
                                                        </div>
                                                        <div class="teamsfooter w-100">
                                                            <span content="الإسماعيلي ضد سيراميكا كليوباترا"
                                                                itemprop="name">
                                                                الإسماعيلي ضد سيراميكا كليوباترا
                                                            </span> فى <span>الدوري المصري</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </li>

                                        </ul>
                                    </div>
                                </div>
                                <div class="tab-pane fade" id="live" role="tabpanel" aria-labelledby="live-tab">
                                    <div class="matchtableX">
                                        <div class="row matchBox title dark">
                                            <div class="col d-flex  mx-4">
                                                <div><img class="img-fluid"
                                                        src="https://img.btolat.com/tourlogo/32eab27b-e23c-4d16-ad92-605a1d6ab55d.png"
                                                        alt="الدوري الإنجليزي">
                                                </div>
                                                <h2 class=" legTitle">الدوري الإنجليزي</h2>

                                            </div>

                                        </div>
                                        <ul class="list-unstyled">
                                            <li id="3150755" class="live">
                                                <div class="matchBox">
                                                    <div class="teams d-flex flex-wrap ">
                                                        <div class="team-header d-flex w-100 justify-content-between">
                                                            <a class="team1" href="/team/8930/ismaily">
                                                                <span><img
                                                                        src="https://img.btolat.com/teamslogo/8930.png"
                                                                        alt="الإسماعيلي" title="الإسماعيلي"></span>
                                                                <h3 class="teamName">الإسماعيلي</h3>
                                                            </a>
                                                            <a class="stat" href="matches.php">
                                                                <div class="status"><span>مباشر</span></div>
                                                                <span class="xmatchDate"
                                                                    id="timer3150755"><span>16'</span>
                                                                </span>
                                                                <div class="results d-flex justify-content-between">
                                                                    <div class="team1G">1 </div>
                                                                    <div class="team2G">0 </div>
                                                                </div>
                                                            </a>
                                                            <a class="team2" href="/team/33716/ceramica-cleopatra">
                                                                <span><img
                                                                        src="https://img.btolat.com/teamslogo/33716.png"
                                                                        alt="سيراميكا كليوباترا"
                                                                        title="سيراميكا كليوباترا"></span>
                                                                <h3 class="teamName">سيراميكا كليوباترا</h3>
                                                            </a>
                                                        </div>
                                                        <div class="teamsfooter w-100">
                                                            <span content="الإسماعيلي ضد سيراميكا كليوباترا"
                                                                itemprop="name">
                                                                الإسماعيلي ضد سيراميكا كليوباترا
                                                            </span> فى <span>الدوري المصري</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </li>
                                            <li id="3150755" class="live">
                                                <div class="matchBox">
                                                    <div class="teams d-flex flex-wrap ">
                                                        <div class="team-header d-flex w-100 justify-content-between">
                                                            <a class="team1" href="/team/8930/ismaily">
                                                                <span><img
                                                                        src="https://img.btolat.com/teamslogo/8930.png"
                                                                        alt="الإسماعيلي" title="الإسماعيلي"></span>
                                                                <h3 class="teamName">الإسماعيلي</h3>
                                                            </a>
                                                            <a class="stat" href="matches.php">
                                                                <div class="status"><span>مباشر</span></div>
                                                                <span class="xmatchDate"
                                                                    id="timer3150755"><span>16'</span>
                                                                </span>
                                                                <div class="results d-flex justify-content-between">
                                                                    <div class="team1G">1 </div>
                                                                    <div class="team2G">0 </div>
                                                                </div>
                                                            </a>
                                                            <a class="team2" href="/team/33716/ceramica-cleopatra">
                                                                <span><img
                                                                        src="https://img.btolat.com/teamslogo/33716.png"
                                                                        alt="سيراميكا كليوباترا"
                                                                        title="سيراميكا كليوباترا"></span>
                                                                <h3 class="teamName">سيراميكا كليوباترا</h3>
                                                            </a>
                                                        </div>
                                                        <div class="teamsfooter w-100">
                                                            <span content="الإسماعيلي ضد سيراميكا كليوباترا"
                                                                itemprop="name">
                                                                الإسماعيلي ضد سيراميكا كليوباترا
                                                            </span> فى <span>الدوري المصري</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </li>
                                            <li id="3150755" class="live">
                                                <div class="matchBox">
                                                    <div class="teams d-flex flex-wrap ">
                                                        <div class="team-header d-flex w-100 justify-content-between">
                                                            <a class="team1" href="/team/8930/ismaily">
                                                                <span><img
                                                                        src="https://img.btolat.com/teamslogo/8930.png"
                                                                        alt="الإسماعيلي" title="الإسماعيلي"></span>
                                                                <h3 class="teamName">الإسماعيلي</h3>
                                                            </a>
                                                            <a class="stat" href="matches.php">
                                                                <div class="status"><span>مباشر</span></div>
                                                                <span class="xmatchDate"
                                                                    id="timer3150755"><span>16'</span>
                                                                </span>
                                                                <div class="results d-flex justify-content-between">
                                                                    <div class="team1G">1 </div>
                                                                    <div class="team2G">0 </div>
                                                                </div>
                                                            </a>
                                                            <a class="team2" href="/team/33716/ceramica-cleopatra">
                                                                <span><img
                                                                        src="https://img.btolat.com/teamslogo/33716.png"
                                                                        alt="سيراميكا كليوباترا"
                                                                        title="سيراميكا كليوباترا"></span>
                                                                <h3 class="teamName">سيراميكا كليوباترا</h3>
                                                            </a>
                                                        </div>
                                                        <div class="teamsfooter w-100">
                                                            <span content="الإسماعيلي ضد سيراميكا كليوباترا"
                                                                itemprop="name">
                                                                الإسماعيلي ضد سيراميكا كليوباترا
                                                            </span> فى <span>الدوري المصري</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="tab-pane fade" id="notYet" role="tabpanel" aria-labelledby="notYet-tab">
                                    <div class="row matchBox title dark">
                                        <div class="col d-flex  mx-4">
                                            <div><img class="img-fluid"
                                                    src="https://img.btolat.com/tourlogo/32eab27b-e23c-4d16-ad92-605a1d6ab55d.png"
                                                    alt="الدوري الإنجليزي">
                                            </div>
                                            <h2 class=" legTitle">الدوري الإنجليزي</h2>

                                        </div>
                                    </div>
                                    <div class="matchtableX">

                                        <ul class="list-unstyled">
                                            <li id="3150755" class="notYet">
                                                <div class="matchBox">
                                                    <div class="teams d-flex flex-wrap ">
                                                        <div class="team-header d-flex w-100 justify-content-between">
                                                            <a class="team1" href="/team/8930/ismaily">
                                                                <span><img
                                                                        src="https://img.btolat.com/teamslogo/8930.png"
                                                                        alt="الإسماعيلي" title="الإسماعيلي"></span>
                                                                <h3 class="teamName">الإسماعيلي</h3>
                                                            </a>
                                                            <a class="stat" href="matches.php">
                                                                <div class="status"><span>لم تبدأ</span></div>
                                                                <span class="xmatchDate"><span>06:30 م</span>
                                                                </span>

                                                            </a>
                                                            <a class="team2" href="/team/33716/ceramica-cleopatra">
                                                                <span><img
                                                                        src="https://img.btolat.com/teamslogo/33716.png"
                                                                        alt="سيراميكا كليوباترا"
                                                                        title="سيراميكا كليوباترا"></span>
                                                                <h3 class="teamName">سيراميكا كليوباترا</h3>
                                                            </a>
                                                        </div>
                                                        <div class="teamsfooter w-100">
                                                            <span content="الإسماعيلي ضد سيراميكا كليوباترا"
                                                                itemprop="name">
                                                                الإسماعيلي ضد سيراميكا كليوباترا
                                                            </span> فى <span>الدوري المصري</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </li>
                                            <li id="3150755" class="notYet">
                                                <div class="matchBox">
                                                    <div class="teams d-flex flex-wrap ">
                                                        <div class="team-header d-flex w-100 justify-content-between">
                                                            <a class="team1" href="/team/8930/ismaily">
                                                                <span><img
                                                                        src="https://img.btolat.com/teamslogo/8930.png"
                                                                        alt="الإسماعيلي" title="الإسماعيلي"></span>
                                                                <h3 class="teamName">الإسماعيلي</h3>
                                                            </a>
                                                            <a class="stat" href="/matches/details/3150755">
                                                                <div class="status"><span>لم تبدأ</span></div>
                                                                <span class="xmatchDate"><span>06:30 م</span>
                                                                </span>

                                                            </a>
                                                            <a class="team2" href="/team/33716/ceramica-cleopatra">
                                                                <span><img
                                                                        src="https://img.btolat.com/teamslogo/33716.png"
                                                                        alt="سيراميكا كليوباترا"
                                                                        title="سيراميكا كليوباترا"></span>
                                                                <h3 class="teamName">سيراميكا كليوباترا</h3>
                                                            </a>
                                                        </div>
                                                        <div class="teamsfooter w-100">
                                                            <span content="الإسماعيلي ضد سيراميكا كليوباترا"
                                                                itemprop="name">
                                                                الإسماعيلي ضد سيراميكا كليوباترا
                                                            </span> فى <span>الدوري المصري</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </li>
                                            <li id="3150755" class="notYet">
                                                <div class="matchBox">
                                                    <div class="teams d-flex flex-wrap ">
                                                        <div class="team-header d-flex w-100 justify-content-between">
                                                            <a class="team1" href="/team/8930/ismaily">
                                                                <span><img
                                                                        src="https://img.btolat.com/teamslogo/8930.png"
                                                                        alt="الإسماعيلي" title="الإسماعيلي"></span>
                                                                <h3 class="teamName">الإسماعيلي</h3>
                                                            </a>
                                                            <a class="stat" href="/matches/details/3150755">
                                                                <div class="status"><span>لم تبدأ</span></div>
                                                                <span class="xmatchDate"><span>06:30 م</span>
                                                                </span>

                                                            </a>
                                                            <a class="team2" href="/team/33716/ceramica-cleopatra">
                                                                <span><img
                                                                        src="https://img.btolat.com/teamslogo/33716.png"
                                                                        alt="سيراميكا كليوباترا"
                                                                        title="سيراميكا كليوباترا"></span>
                                                                <h3 class="teamName">سيراميكا كليوباترا</h3>
                                                            </a>
                                                        </div>
                                                        <div class="teamsfooter w-100">
                                                            <span content="الإسماعيلي ضد سيراميكا كليوباترا"
                                                                itemprop="name">
                                                                الإسماعيلي ضد سيراميكا كليوباترا
                                                            </span> فى <span>الدوري المصري</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                    </div>
                                </div> -->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</section>

<?php  get_footer();?>