<?php
	/* template name: الفيديوهات */
	get_header();
?>
<section>
    <div class="allVideos pages">
        <div class="container pt-3">
            <div class="row">
                <div class="col-xl-8 right-side overflow-auto">
                    <h2 class="title">الفيديوهات</h2>
                    <div class="container">
                        <?php
                            global $paged;
                            $curpage = $paged ? $paged : 1;
                            $args = array(
                                'post_type' => 'Video',
                                'post_status' => 'publish',
                                'paged' => $paged
                            );
                            $videos = new WP_Query ( $args);
                            if($videos->have_posts()) :
                                while ($videos->have_posts()) : $videos->the_post();
                        ?>
                            <article id="videos-box" class="post social">
                                <div class="big-video-box mLikePage xrow" data-val="58761" data-type="">
                                    <div class="topProfile">
                                        <div class="topData">
                                            <a href="<?php echo thePostAuthor()['author_url']; ?>" title="<?php echo thePostAuthor()['name']; ?>">
                                                <img class="userImage"
                                                    src="<?php echo thePostAuthor()['avartar']; ?>"
                                                    alt="<?php echo thePostAuthor()['name']; ?>">
                                            </a>
                                        </div>
                                        <div class="postDate">
                                            <a href="<?php echo thePostAuthor()['author_url']; ?>" title="<?php echo thePostAuthor()['name']; ?>">
                                                <span class="userName"><?php echo thePostAuthor()['name']; ?> </span>
                                            </a>
                                            <span><?php echo get_the_date(); ?> </span>
                                        </div>
                                    </div>
                                    <h1 class="title">
                                        <?php the_title(); ?>
                                    </h1>
                                    <a href="<?php echo get_the_permalink(); ?>">
                                        <div class="imageOfPost">
                                            <img class="w-100" src="<?php echo thePostThubmailLink(); ?>"
                                                alt="<?php the_title(); ?>" style="">
                                        </div>
                                    </a>
                                </div>
                            </article>
                        <?php endwhile; 
                        echo '
                        <nav aria-label="Page navigation example">
                            <ul class="pagination">
                                <li class="page-item"><a class="page-link first page button" href="'.get_pagenum_link(1).'">&laquo;</a></li>
                                <li class="page-item"><a class="page-link previous page button" href="'.get_pagenum_link(($curpage-1 > 0 ? $curpage-1 : 1)).'">&lsaquo;</a></li>';
                                for($i=1;$i<=$videos->max_num_pages;$i++)
                                    echo '<li class="page-item"><a class="page-link '.($i == $curpage ? 'active ' : '').'page button" href="'.get_pagenum_link($i).'">'.$i.'</a></li>';
                                echo '<li class="page-item"><a class="page-link next page button" href="'.get_pagenum_link(($curpage+1 <= $videos->max_num_pages ? $curpage+1 : $videos->max_num_pages)).'">&rsaquo;</a></li>
                                <li class="page-item"><a class="page-link last page button" href="'.get_pagenum_link($videos->max_num_pages).'">&raquo;</a></li>
                            </ul>
                        </nav>';
                         wp_reset_query(); endif; ?>
                    </div>
                </div>
                <?php get_sidebar(); ?>
            </div>
        </div>
    </div>
</section>

<?php  get_footer();?>