<?php
	get_header();

    $selected_date = date('Y-m-d');
    $league = 'all';
    $page_status = '';
    global $wp;

    // Get the current post ID
    $post_id = get_the_ID();

    // Get the Arabic content from the meta field
    $content_arabic = get_post_meta($post_id, 'content_ar', true);
    // Process shortcodes in the content
    $content_arabic = do_shortcode($content_arabic);
    // Apply wpautop to add paragraphs
    $content_arabic = wpautop($content_arabic);
    $title_arabic = get_post_meta($post_id, 'title_ar', true);

?>

<section class="breadcrumbs">
    <div class="container">
        <div class="col-12">
            <h2><?php echo getTheLang() == 'en' ? get_the_title() : $title_arabic; ?></h2>
        </div>
        <div class="col-12">
            <?php
                echo getTheBreadcrumbs();
            ?>
        </div>
    </div>
</section>

<section>
    <div class="container page-content">
        <div class="row">
            <div class="col-12">
                <?php
                    if (getTheLang() == 'ar') {
                        // Output the Arabic content if it exists
                        if (!empty($content_arabic)) {
                            echo $content_arabic;
                        }
                    } else {
                        echo the_content();
                    }
                    
                ?>
            </div>
        </div>
    </div>
</section>
<?php  get_footer();?>