<?php
	get_header();
    while ( have_posts() ) : the_post();
?>
<section>
    <div class="oneViedo pages">
        <div class="container  pt-3">
            <div class="row">
                <div class="col-xl-8 right-side overflow-auto">
                    <div class="container">

                        <article id="videos-box" class="post social">
                            <div class="big-video-box">
                                <div class="topProfile">
                                    <div class="topData">
                                        <a href="<?php echo thePostAuthor()['author_url']; ?>" title="<?php echo thePostAuthor()['name']; ?>">
                                            <img class="userImage"
                                                src="<?php echo thePostAuthor()['avartar']; ?>"
                                                alt="<?php echo thePostAuthor()['name']; ?>">
                                        </a>
                                    </div>
                                    <div class="postDate">
                                        <a href="<?php echo thePostAuthor()['author_url']; ?>" title="<?php echo thePostAuthor()['name']; ?>">
                                            <span class="userName">
                                                <?php echo thePostAuthor()['name']; ?>
                                            </span>
                                        </a>
                                        <span><?php echo get_the_date(); ?></span>
                                    </div>
                                </div>
                                <h1 class="title">
                                    <?php the_title(); ?>
                                </h1>
                                <div class="imageOfPost">
                                    <div>
                                        <?php $video = get_post_meta(get_the_id(), 'video_code', true); ?>
                                        
                                        <iframe width='100%' height='400' src='<?php echo $video; ?>' style='border:none;' allowfullscreen></iframe>
                                    </div>
                                    <div>
                                        <p class="alert-warning p-3 text-right" style="">
                                            <strong>إخلاء مسئولية: </strong>
                                            هذا المحتوى لم يتم انشائه او استضافته بواسطة موقع يلا جول وأي مسئولية
                                            قانونية
                                            تقع
                                            على
                                            عاتق الطرف
                                            الثالث
                                        </p>
                                    </div>
                                    <div>
                                        <?php the_content(); ?>
                                    </div>
                                    <!-- <div id="dtAdstripVideo" class="adStrip">
                                        <div class="topAdStrip">
                                            <div id="div-gpt-ad-1561379854444-0"
                                                data-google-query-id="CPD6mIH12fcCFQ7qGwod1tkBeA"
                                                style="display: none;">
                                                <script>
                                                googletag.cmd.push(function() {
                                                    googletag.display('div-gpt-ad-1561379854444-0');
                                                });
                                                </script>
                                                <div id="google_ads_iframe_/168615412/Btolat-desktop-strip-video_0__container__"
                                                    style="border: 0pt none;"></div>
                                            </div>
                                        </div>
                                    </div> -->
                                    <?php
                                        $posttags = get_the_tags();
                                        if ($posttags) {
                                    ?>
                                        <div class="tags">
                                            <ul>
                                                <?php foreach($posttags as $tag) { ?>
                                                    <li>
                                                        <h3>
                                                            <a href="<?php echo get_tag_link( $tag->term_id ); ?>" title="<?php echo $tag->name; ?>">
                                                                <?php echo $tag->name; ?>
                                                            </a>
                                                        </h3>
                                                    </li>
                                                <?php } ?>
                                            </ul>
                                        </div>
                                    <?php } ?>
                                </div>
                                <hr>
                                <?php
                                    $related_args = array(
                                        'post_type' => 'video',
                                        'posts_per_page' => 6,
                                        'post_status' => 'publish',
                                        'post__not_in' => array( get_the_ID() ),
                                        'orderby' => 'rand'
                                    );
                                    $related = new WP_Query( $related_args );
                                    
                                    if( $related->have_posts() ) :
                                ?>

                                    <div class="moreVideosBox">
                                        <div class="moreVideosTitle">فيديوهات أخرى</div>
                                        <div class="container videos">

                                            <div class="row ">
                                                <?php while( $related->have_posts() ): $related->the_post(); ?>
                                                <div class="col-md-4 videos col-sm-12">
                                                    <div class="big-video-box xrow">

                                                        <h1 class="title">
                                                            <?php echo get_the_title();?>
                                                        </h1>
                                                        <a href="<?php echo get_the_permalink();?>">
                                                            <div class="imageOfPost">
                                                                <img src="<?php echo thePostThubmailLink(); ?>"
                                                                    class="w-100"
                                                                    alt="<?php echo get_the_title();?>">
                                                            </div>
                                                        </a>
                                                        <div class="topProfile">
                                                            <div class="topData">
                                                                <a href="<?php echo thePostAuthor()['author_url']; ?>" title="<?php echo thePostAuthor()['name']; ?>">
                                                                    <img class="userImage"
                                                                        src="<?php echo thePostAuthor()['avartar']; ?>"
                                                                        alt="<?php echo thePostAuthor()['name']; ?>">
                                                                </a>
                                                            </div>
                                                            <div class="postDate">
                                                                <a href="<?php echo thePostAuthor()['author_url']; ?>" title="<?php echo thePostAuthor()['name']; ?>">
                                                                    <span class="userName">
                                                                        <?php echo thePostAuthor()['name']; ?>
                                                                    </span>
                                                                </a>
                                                                <span><?php echo get_the_date(); ?> </span>
                                                            </div>
                                                        </div>

                                                    </div>
                                                </div>
                                                <?php endwhile; wp_reset_query();?>
                                            </div>
                                        </div>
                                    </div>
                                <?php endif;  ?>
                            </div>
                        </article>
                        <?php get_template_part('comments'); ?>
                    </div>
                </div>
                <?php get_sidebar(); ?>
            </div>
        </div>
    </div>
</section>

<?php
    endwhile;
    wp_reset_query();
    get_footer();
?>